Summary: Maintains identical copies of files on multiple machines.
Name: rdist
Version: 6.1.5
Release: 12mdk
Copyright: BSD
Group: Networking/File transfer
Source: ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0: rdist-6.1.5-linux.patch.bz2
Patch1: rdist-6.1.5-links.patch.bz2
Patch2: rdist-6.1.5-oldpath.patch.bz2
Patch3: rdist-6.1.5-environ.patch.bz2
URL: http://www.MagniComp.com/rdist
BuildRoot: %{_tmppath}/%{name}-root

%description
The rdist program maintains identical copies of files on multiple
hosts.  If possible, rdist will preserve the owner, group, mode and
mtime of files and it can update programs that are executing.

%prep
%setup -q

%patch0 -p1 -b .linux
%patch1 -p1 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ

%build
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" OPT="$RPM_OPT_FLAGS"; exit 0)
        make OPT="$RPM_OPT_FLAGS"
else
        make OPT="$RPM_OPT_FLAGS"
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man8,sbin}

install -s -m755 src/rdist $RPM_BUILD_ROOT/usr/bin
install -s -m755 src/rdistd $RPM_BUILD_ROOT/usr/sbin
ln -sf ../sbin/rdistd $RPM_BUILD_ROOT/usr/bin/rdistd

install -m644 doc/rdist.man $RPM_BUILD_ROOT/usr/man/man1/rdist.1
install -m644 doc/rdistd.man $RPM_BUILD_ROOT/usr/man/man8/rdist.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/rdist
/usr/bin/rdistd
/usr/sbin/rdistd
/usr/man/man1/rdist.1*
/usr/man/man8/rdist.8*

%changelog
* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.1.5-12mdk
- Be sure to keep the environnement variable.

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 6.1.5-11mdk
- Update group to new grousp

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update Url
- Enable SMP build/check

* Sun Jul  4 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip2 man pages not just rename them

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/rdistd symlink (#2154)
- update docs to reflect /usr/bin/oldrdist change.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/oldrdist for old rdist compatibility path (#2044).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 17 1999 Jeff Johnson <jbj@redhat.com>
- dynamic allocation for link info (#1046)

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 6.1.5

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed the url to the source
- fixed the copyright field

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
